/*
 * Copyright (c) 2002-2006 JGoodies Karsten Lentzsch. All Rights Reserved.
 *
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions are met:
 * 
 *  o Redistributions of source code must retain the above copyright notice, 
 *    this list of conditions and the following disclaimer. 
 *     
 *  o Redistributions in binary form must reproduce the above copyright notice, 
 *    this list of conditions and the following disclaimer in the documentation 
 *    and/or other materials provided with the distribution. 
 *     
 *  o Neither the name of JGoodies Karsten Lentzsch nor the names of 
 *    its contributors may be used to endorse or promote products derived 
 *    from this software without specific prior written permission. 
 *     
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, 
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR 
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; 
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE 
 * OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, 
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
 */

package com.jgoodies.binding.tests;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * A test suite for all tests related to the JGoodies Binding framework.
 * 
 * @author  Karsten Lentzsch
 * @version $Revision: 1.32 $
 */
public final class AllBindingTests {

    
    private AllBindingTests() { 
        // Suppresses default constructor, ensuring non-instantiability.
    }
    
    
    public static void main(String[] args) {
        junit.textui.TestRunner.run(AllBindingTests.class);
    }

    public static Test suite() {
        TestSuite suite = new TestSuite("Test for com.jgoodies.binding");
        //$JUnit-BEGIN$
        suite.addTest(new TestSuite(AbstractConverterTest.class));
        suite.addTest(new TestSuite(AbstractTableAdapterTest.class));
        suite.addTest(new TestSuite(BasicComponentFactoryTest.class));
        suite.addTest(new TestSuite(BeanAdapterTest.class));
        suite.addTest(new TestSuite(BeanUtilsTest.class));
        suite.addTest(new TestSuite(BindingsTest.class));
        suite.addTest(new TestSuite(BoundedRangeAdapterTest.class));
        suite.addTest(new TestSuite(BufferedValueModelTest.class));
        suite.addTest(new TestSuite(CombinedTest.class));
        suite.addTest(new TestSuite(ComboBoxAdapterTest.class));
        suite.addTest(new TestSuite(ConverterFactoryTest.class));
        suite.addTest(new TestSuite(DocumentAdapterTest.class));
        suite.addTest(new TestSuite(ExtendedPropertyChangeSupportTest.class));
        suite.addTest(new TestSuite(IndirectPropertyChangeSupportTest.class));
        suite.addTest(new TestSuite(ListHolderTest.class));
        suite.addTest(new TestSuite(ListModelHolderTest.class));
        suite.addTest(new TestSuite(ObservableListTest.class));
        suite.addTest(new TestSuite(PreferencesAdapterTest.class));
        suite.addTest(new TestSuite(PresentationModelTest.class));
        suite.addTest(new TestSuite(PropertyAdapterTest.class));
        suite.addTest(new TestSuite(PropertyConnectorTest.class));
        suite.addTest(new TestSuite(PropertyExceptionTest.class));
        suite.addTest(new TestSuite(RadioButtonAdapterTest.class));
        suite.addTest(new TestSuite(ReflectionTest.class));
        suite.addTest(new TestSuite(SelectionInListTest.class));
        suite.addTest(new TestSuite(SelectionInList2Test.class));
        suite.addTest(new TestSuite(SelectionInListModelTest.class));
        suite.addTest(new TestSuite(SingleListSelectionAdapterTest.class));
        suite.addTest(new TestSuite(SpinnerAdapterFactoryTest.class));
        suite.addTest(new TestSuite(ToggleButtonAdapterTest.class));
        suite.addTest(new TestSuite(TriggerTest.class));
        suite.addTest(new TestSuite(ValueChangeTest.class));
        suite.addTest(new TestSuite(ValueHolderTest.class));
        //$JUnit-END$
        return suite;
    }
}
